# Rate limiting

To avoid abuse of the API, it is rate limited to a maximum of 1000 requests per minute.&#x20;

If that limit is exceeded then a standard **HTTP 429 Too Many Requests** will be returned as a response.

```json
{
    "message": "Too Many Attempts. You may try again in 38 seconds.",
    "error": "rate-limit"
}
```

In the **retry-after** http response header there will be the value in seconds after which your requests will start succeeding again.

`retry-after: 38`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/rate-limiting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
